using System;
using System.Collections.Generic;
using PSO2SERVER.Models;
using PSO2SERVER.Protocol.Packets;

namespace PSO2SERVER.Protocol.Handlers
{
    [PacketHandlerAttr(0x1A, 0x06)]
    public class MailBodyRequest : PacketHandler
    {
        public struct MailBodyRequestPacket
        {
            public MailId id;
        }

        public override void HandlePacket(Client context, byte flags, byte[] data, uint position, uint size)
        {
            var info = string.Format("[<--] 接收到的数据 (hex): {0} 字节", data.Length);
            Logger.WriteHex(info, data);

            var reader = new PacketReader(data, position, size);
            var pkt = reader.ReadStruct<MailBodyRequestPacket>();

            Logger.WriteObj(pkt);

            context.SendPacket(new MailBodyPacket(pkt.id, "????", 0));
        }
    }
}
